原创

[WDLINUX]多版本php配置composer

wdlinux支持多个版本的php共存,安装composer的时候就不知道咋弄了,其实很简单

1.首先进入到你的那个php路径的bin目录下,比如我这个/www/wdlinux/phps/73/bin/ 然后执行curl -S https://getcomposer.org/installer | ./php

[root@VM_84_232_centos bin]# curl -S https://getcomposer.org/installer | ./php
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  269k  100  269k    0     0  13632      0  0:00:20  0:00:20 --:--:-- 18581
All settings correct for using Composer
Downloading...

Composer (version 2.0.6) successfully installed to: /www/wdlinux/phps/73/bin/composer.phar
Use it: php composer.phar

2.就会下载到这个目录使用 命令:/www/wdlinux/phps/73/bin/php /www/wdlinux/phps/73/bin/composer.phar require patrickschur/language-detection

温馨提示:
本文最后更新于 2020年11月09日,已超过 819 天没有更新。若文章内的图片失效(无法正常加载),请留言反馈或直接联系我
正文到此结束
该篇文章的评论功能已被站长关闭
本文目录